<?php

namespace Modules\Facture\Rules;

use Psr\Http\Message\ServerRequestInterface;

class EditionEtatCca
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function editionEtatCca(): bool
    {
        return $this->main->deferredChargesAccess();
    }
    public function pdfEtatCca(): bool
    {
        return $this->main->deferredChargesAccess();
    }
    public function exportEtatCca(): bool
    {
        return $this->main->deferredChargesAccess();
    }
}
